Add a party to a project
curl --request POST \
--url https://control.api.niadra.com/v1/projects/{project_id}/parties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://control.api.niadra.com/v1/projects/{project_id}/parties"
payload = {
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tenant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://control.api.niadra.com/v1/projects/{project_id}/parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_name": "<string>",
"party_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "controller",
"since": "2023-11-07T05:31:56Z",
"status": "active",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"until": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Control: parties and approvals
Add a party to a project
Links a legal entity to a project with a role: controller, operator or sub_operator. An operator of a project whose controller is not the tenant waits for the controller’s approval.
POST
/
v1
/
projects
/
{project_id}
/
parties
Add a party to a project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Available options:
controller, operator, sub_operator Available options:
active, ended 
